package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.SysAdminFuncMapper;
import com.sa.ibiz.demo.demo.domain.SysAdminFunc;
import com.sa.ibiz.demo.demo.service.SysAdminFuncService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.SysAdminFuncSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.SysAdminService;

/**
 * 实体[SysAdminFunc] 服务对象接口实现
 */
@Service
public class SysAdminFuncServiceImpl extends ServiceImplBase<SysAdminFuncMapper, SysAdminFunc> implements SysAdminFuncService{

    @Autowired
    private SysAdminService sysadminService;

    @Resource
    private SysAdminFuncMapper sysadminfuncMapper;


    @Override
    public boolean create(SysAdminFunc et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(SysAdminFunc et){
        this.beforeUpdate(et);
		this.sysadminfuncMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(SysAdminFunc et){
		return et.getSysadminfuncid();  
    }

    @Override
    public boolean getDraft(SysAdminFunc et)  {
    if((!StringUtils.isEmpty(et.getSysadminid())) && et.getSysadmin() == null){
            try {
                et.setSysadmin(sysadminService.getById(et.getSysadminid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<SysAdminFunc> listDefault(SysAdminFuncSearchFilter filter) {
		return sysadminfuncMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<SysAdminFunc> searchDefault(SysAdminFuncSearchFilter filter) {
		return sysadminfuncMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return sysadminfuncMapper.selectRow(sql);
    }

 }